curl --request GET \
--url https://api.totoy.ai/v1/projects/{project_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.totoy.ai/v1/projects/{project_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.totoy.ai/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project_id": "pj_avX7imfLaPcQnv5ckvGlOEBA9",
"name": "Totoy GmbH Project",
"created_at": "2023-07-05T12:34:13Z",
"updated_at": "2023-07-05T12:34:13Z",
"knowledge_base_ids": [],
"source_ids": [],
"is_default": false,
"usage": {
"assistant_messages": {
"knowledge_bases_chats": 1354,
"explanations": 1234,
"total": 2588
},
"document_sources_pages": 2534,
"text_sources": 3756
}
}{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}Retrieves a Project.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for a Project created in Totoy.
28^pj_[a-zA-Z0-9]{25}$Response
OK
A project is a collection of Sources and Knowledge Bases with the same lifespan. If a project is deleted, all associated resources will also be deleted. Explanations can also be assigned to Projects for billing purposes.
The unique identifier of a Project
28^pj_[a-zA-Z0-9]{25}$"pj_avX7imfLaPcQnv5ckvGlOEBA9"
The name of the Project
256"Totoy GmbH Project"
Date-time of when the Project was created, in ISO 8601 format
"2023-07-05T12:34:13Z"
Date-time of when the Project was last modified, in ISO 8601 format
"2023-07-05T12:34:13Z"
A list of knowledge_base_ids that are assigned to the Project. One Project can have multiple Knowledge Bases.
150028^kb_[a-zA-Z0-9]{25}$[]
A list of source_ids of Sources that are assigned to the Project.
10000Unique identifier for a Source that is assigned to the Project.
29^src_[a-zA-Z0-9]{25}$[
"src_oXiYDg8QOc9JsOk86idRXiywD",
"src_qoY7rSGkiWtn4NP8kPXc7xzrq"
]
Whether the Project is the default Project for the Organization. The default Project is used when no Project is specified in an API request. The default Project cannot be deleted.
false
The usage of the Project.
Show child attributes
Show child attributes
{
"assistant_messages": {
"knowledge_bases_chats": 1354,
"explanations": 1234,
"total": 2588
},
"document_sources_pages": 2534,
"text_sources": 3756
}